Skip to main content
`Ctrl`+`K`

# scipy.special.eval_jacobi

scipy.special.eval_jacobi(n, alpha, beta, x, out=None) = <ufunc 'eval_jacobi'>

  Evaluate Jacobi polynomial at a point.

  The Jacobi polynomials can be defined via the Gauss hypergeometric function \({}_2F_1\) as

  \[P_n^{(\alpha, \beta)}(x) = \frac{(\alpha + 1)_n}{\Gamma(n + 1)} {}_2F_1(-n, 1 + \alpha + \beta + n; \alpha + 1; (1 - z)/2)\]

  where \((\cdot)_n\) is the Pochhammer symbol; see `poch`. When \(n\) is an integer the result is a polynomial of degree \(n\). See 22.5.42 in [AS] for details.

  Parameters:
    n array_like

      Degree of the polynomial. If not an integer the result is determined via the relation to the Gauss hypergeometric function.

    alpha array_like

      Parameter

    beta array_like

      Parameter

    x array_like

      Points at which to evaluate the polynomial

    out ndarray, optional

      Optional output array for the function values

  Returns:
    P scalar or ndarray

      Values of the Jacobi polynomial

  See also

  `roots_jacobi`

    roots and quadrature weights of Jacobi polynomials

  `jacobi`

    Jacobi polynomial object

  `hyp2f1`

    Gauss hypergeometric function

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.